FROM node:22-alpine AS builder

# Install tzdata to support timezone settings
RUN apk add --no-cache tzdata
RUN npm install -g corepack@latest
RUN corepack enable && corepack prepare pnpm@10 --activate

# Set the timezone to Asia/Tehran
RUN cp /usr/share/zoneinfo/Asia/Tehran /etc/localtime && echo "Asia/Tehran" > /etc/timezone

WORKDIR /build
COPY package*.json pnpm-lock.yaml ./
RUN pnpm install --frozen-lockfile --loglevel info
COPY . ./
RUN pnpm run build

FROM nginx:stable-alpine AS production-stage

COPY --from=builder /build/dist /usr/share/nginx/html

COPY --from=builder /build/nginx.con[f] /etc/nginx/conf.d/default.conf
RUN cat /etc/nginx/conf.d/default.conf

EXPOSE 80

CMD ["nginx", "-g", "daemon off;"]
